package cc.smtweb.system.bpm.web.sys.user.userSso;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

/**
 * Created by 1 at 2022-09-05 19:53:40
 * 实体【[用户单点关系](SYS_USER_SSO)】的缓存类
 */
@SwCache(ident = "SYS_USER_SSO", title = "用户单点关系")
public class UserSsoCache extends AbstractEntityCache<UserSso> {
    //缓存key：按单点账号缓存
    public final static String mk_c = "c";

    public static UserSsoCache getInstance() {
        return CacheManager.getIntance().getCache(UserSsoCache.class);
    }

    public UserSsoCache() {
        //缓存key：按单点账号缓存
        regMap(mk_c, "sso_code");
    }

    //缓存key：按单点账号缓存
    public final UserSso getByC(String key) {
        return getByKey(mk_c, key);
    }
}
